<template>
  <section class="List">
    <ai-list>
      <!-- :instance="instance" isShowArea v-model="search.areaId" @change="changeArea" -->
      <ai-title slot="title" title="宅基地管理" isShowBottomBorder />
      <template #content>
        <ai-search-bar>
          <template #left>
            <el-button type="primary" icon="iconfont iconAdd" @click="toAdd('')">添加</el-button>
          </template>
          <template #right>
            <el-input size="small" placeholder="查询证书号/使用人/使用人身份证" v-model="search.useCertificate" clearable @clear="page.current = 1, search.useCertificate = '',getTableData()" 
            suffix-icon="iconfont iconSearch" v-throttle="() => {(page.current = 1), getTableData();}"/>
            <!-- 导入导出 -->
            <ai-import :instance="instance" :dict="dict" importUrl="/apphomesteadinfo/import" url="/apphomesteadinfo/downloadTemplate" name="宅基地管理信息模板" @success="getTableData(), $message.success('导入成功!')">
              <el-button size="small">导入</el-button>
            </ai-import>
            <ai-download :instance="instance" url="/apphomesteadinfo/export" :params="search" fileName="宅基地管理信息"
                         :disabled="tableData.length == 0">
              <el-button size="small">导出</el-button>
            </ai-download>
          </template>
        </ai-search-bar>
        <ai-table :tableData="tableData" :total="page.total" :current.sync="page.current" :size.sync="page.size"
                  @getList="getTableData" :col-configs="colConfigs" :dict="dict">
          <el-table-column slot="options" label="操作"  align="center">
            <template slot-scope="{ row }">
              <el-button type="text" @click="toAdd(row.id)">详情</el-button>
              <el-button type="text" @click="handleDelete(row.id)">删除</el-button>
            </template>
          </el-table-column>
        </ai-table>
      </template>
    </ai-list>
  </section>
</template>

<script>
import { mapState } from 'vuex'
export default {
  name: "List",
  props: {
    instance: Function,
    dict: Object,
    permissions: Function
  },
  data() {
    return {
      search: {useCertificate: ""},
      page: {current: 1, size: 10, total: 0},
      tableData: [],
      areaId: '',
    }
  },
  computed: {
    ...mapState(['user']),
    colConfigs() {
      return [
        { prop: "useCertificate", label: '使用证书号', align: "center", width: "180px", },
        { prop: "usePerson", label: '使用人', align: "center", width: "180px", },
        { prop: "idNumber", label: '身份证号', align: "center", width: "180px", },
        { prop: "houseNumber", label: '家庭人口', align: "center", width: "180px", },
        { prop: "landArea", label: '面积/㎡', align: "center", width: "180px", },
        { prop: "landFourTo", label: '土地四至', align: "center", width: "180px", },
        { prop: "landOwnership", label: '土地所有权', align: "center", width: "180px", },
        { slot: "options" ,},
      ]
    }
  },
  created() {
    // this.search.areaId = this.user.info.areaId
    this.getTableData()
  },
  methods: {
    changeArea() {},
    getTableData() {
      this.instance.post("/apphomesteadinfo/list", null, {
        params: {...this.page, ...this.search,...this.select}
      }).then(res => {
        if (res?.data) {
          this.tableData = res.data?.records
          this.page.total = res.data.total
        }
      })
    },
    toAdd(id) {
      this.$emit('change', {
        type: 'Add',
        params: {
          id: id || ''
        }
      })
    },
    handleDelete(id) {
      this.$confirm("是否要删除？").then(() => {
        this.instance.post(`/apphomesteadinfo/delete?ids=${id}`).then(res => {
            if (res.code == 0) {
              this.$message.success("删除成功")
              this.getTableData()
            }
          })
      })
    },
  }
}
</script>

<style lang="scss" scoped>
.List {
  height: 100%;
  background: #f3f4f5;
}
</style>